<template>
  <div class="i-option-switcher">
    <button
      v-for="option in options"
      :key="option.title"
      class="i-option-switcher__option"
      :class="{ 'nuxt-link-active': option.to.name === $route.name }"
      @click="click(option)">
      {{ option.title }}
    </button>
  </div>
</template>

<script>
  import { mapState } from 'vuex';

  export default {
    props: {
      options: {
        type: Array,
        required: true,
      },
    },

    computed: {
      ...mapState(['auth']),
    },

    methods: {
      click(option) {
        if (option.isSubscriptionRequired && !this.auth.user.hasActiveSubscription) {
          this.$emit('subscription-required');
          return;
        }

        this.$router.push(option.to);
      },
    },
  };
</script>

<style lang="scss">
  .i-option-switcher {
    display: flex;
    align-items: center;
    width: rs(255px);
    height: rs(40px);
    background-color: #fff;
    border-radius: rs(math.div(40px, 2));
    padding: rs(3px);
  }

  .i-option-switcher__option {
    display: block;
    flex-basis: 50%;
    flex-grow: 1;
    border: 0;
    background-color: transparent;
    font-size: rf(16px);
    font-weight: bold;
    color: #524c62;
    height: rs(34px);
    border-radius: rs(math.div(34px, 2));
    cursor: pointer;

    &.nuxt-link-active {
      background-color: #fa7d70;
      color: #fff;
    }
  }
</style>
